org.apache.ivy.osgi.repo

## Class ModuleDescriptorWrapper

- java.lang.Object
- - org.apache.ivy.osgi.repo.ModuleDescriptorWrapper

    public class ModuleDescriptorWrapper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ModuleDescriptorWrapper(BundleInfo bundleInfo, java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`BundleInfo` `getBundleInfo()`
`DefaultModuleDescriptor` `getModuleDescriptor()`
`int` `hashCode()`
`java.lang.String` `toString()`
`static java.util.Collection<ModuleDescriptor>` `unwrap(java.util.Collection<ModuleDescriptorWrapper> collection)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModuleDescriptorWrapper

    public ModuleDescriptorWrapper(BundleInfo bundleInfo,
                           java.net.URI baseUri,
                           ExecutionEnvironmentProfileProvider profileProvider)

### Method Detail

#### getBundleInfo

    public BundleInfo getBundleInfo()

#### getModuleDescriptor

    public DefaultModuleDescriptor getModuleDescriptor()

#### unwrap

    public static java.util.Collection<ModuleDescriptor> unwrap(java.util.Collection<ModuleDescriptorWrapper> collection)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`